    PROGRAM x04bbfe

!      X04BBF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : nag_wp, x04bbf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: x
       INTEGER                         :: i, ifail
       CHARACTER (40)                  :: recin
!      .. Executable Statements ..
       WRITE (nout,*) 'X04BBF Example Program Results'

!      Skip heading in data file
       CALL x04bbf(nin,recin,ifail)

       WRITE (nout,*)

!      Read in values of I and X, then write them.

       CALL x04bbf(nin,recin,ifail)

       READ (recin,99999) i, x

       WRITE (nout,99998) i, x

99999  FORMAT (I3,F7.3)
99998  FORMAT (1X,I5,F11.3)
    END PROGRAM x04bbfe
